commit: d15df4e625dadba62838a9b0ab5e1ffa88715db3
Author: ktrace <ktrace <AT> yandex <DOT> ru>
AuthorDate: Sat Sep 22 12:53:16 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Oct 9 19:59:41 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d15df4e6
waf-utils.eclass: add parameters to compile and install
Signed-off-by: Victor Kustov <ktrace <AT> yandex.ru>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
eclass/waf-utils.eclass | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/eclass/waf-utils.eclass b/eclass/waf-utils.eclass
index 4d02483a927..878068fc9f4 100644
--- a/eclass/waf-utils.eclass
+++ b/eclass/waf-utils.eclass
@@ -89,7 +89,7 @@ waf-utils_src_configure() {
CCFLAGS="${CFLAGS}" LINKFLAGS="${CFLAGS} ${LDFLAGS}" "${WAF_BINARY}" \
"--prefix=${EPREFIX}/usr" \
"${libdir[@]}" \
- "$@" \
+ "${@}" \
configure || die "configure failed"
}
@@ -102,8 +102,8 @@ waf-utils_src_compile() {
[[ ${WAF_VERBOSE} == ON ]] && _mywafconfig="--verbose"
local jobs="--jobs=$(makeopts_jobs)"
- echo "\"${WAF_BINARY}\" build ${_mywafconfig} ${jobs}"
- "${WAF_BINARY}" ${_mywafconfig} ${jobs} || die "build failed"
+ echo "\"${WAF_BINARY}\" build ${_mywafconfig} ${jobs} ${*}"
+ "${WAF_BINARY}" ${_mywafconfig} ${jobs} "${@}" || die "build failed"
}
# @FUNCTION: waf-utils_src_install
@@ -112,8 +112,8 @@ waf-utils_src_compile() {
waf-utils_src_install() {
debug-print-function ${FUNCNAME} "$@"
- echo "\"${WAF_BINARY}\" --destdir=\"${D}\" install"
- "${WAF_BINARY}" --destdir="${D}" install || die "Make install failed"
+ echo "\"${WAF_BINARY}\" --destdir=\"${D}\" ${*} install"
+ "${WAF_BINARY}" --destdir="${D}" "${@}" install || die "Make install
failed"
# Manual document installation
einstalldocs